## libassa 3.4.2-2

=== debian/changelog ===
libassa (3.4.2-2) unstable; urgency=low

  * Port to ming32 (network communication layer).
  * Changed ASSA::ERROR mask to ASSA::ASSSAERR.
  * Optionally enable tests and examples.
  * Remove Socket::blocking option.
  * Fix race condition bug between Reactor and Logger::log_close().
	
 -- Vladislav Grinchenko <vlg@users.sourceforge.net>  Sun, 13 Aug 2006 20:34:06 +0050

libassa (3.4.1) unstable; urgency=low

  * Release 3.4.1
  * Applied all upstream patches from debian 3.4.0-5 diffs (Eric Dorland <eric@debian.org>)

 -- Vladislav Grinchenko <vlg@users.sourceforge.net>  Tue, 14 Mar 2006 08:34:06 +0050

libassa (3.4.0) unstable; urgency=low

  * Release 3.4.0

 -- Vladislav Grinchenko <vlg@users.sourceforge.net>  Tue, 13 Dec 2005 22:03:39 +0000

libassa (3.3.2-1) unstable; urgency=low

  * Initial Release.

 -- Miriam Ruiz <little_miry@yahoo.es>  Wed,  1 Jun 2005 19:41:39 +0000
