## libassa 3.5.0-maemo0

=== debian/changelog ===
libassa (3.5.0-maemo0) unstable; urgency=low
	
  * Fixed bug #1716602 (Acceptor doesn't properly cleanup failed
    SH::open() call).
  * Fixed bug #1716593 ("options" section name should be case-insensitive)
  * Fixed bug #1716596 (GenServer::init() fails to convert args to full path).
  * Fixed bug #1716668 (Assure_exit() macro won't compile).
  * Fixed bug #1716588 (assa-genesis generates proper app version).
  * Added a no-op virtual destructor to SigHandler base class (bug #1716597).
  * Fixed 'maxfd+1' miscalculation bug in Reactor's select() method.
  * Fixed assa.spec.in to fit FC extras strict spec rules.
  * Patch to compile with GCC 4.3 (Martin Michlmayr <tbm AT cyrius DOT com>).

 -- Vladislav Grinchenko <vlg@users.sourceforge.net>  Wed, 16 Jan 2008 17:28:53 -0500
	
