## libassa 3.5.1

=== debian/changelog ===
libassa (3.5.1-3ubuntu1) trusty; urgency=medium

  * Use dh-autoreconf instead of autotools-dev to also fix FTBFS on ppc64el by
    getting new libtool macros (still updates config.{sub,guess}).

 -- Logan Rosen <logan@ubuntu.com>  Wed, 01 Jan 2014 01:36:19 -0500

libassa (3.5.1-3) unstable; urgency=low

  * debian/control, debian/rules: Use autotools-dev to update
    config.{guess,sub}. (Closes: #727393)
  * debian/control: Standards-Version to 3.9.4.

 -- Eric Dorland <eric@debian.org>  Mon, 11 Nov 2013 21:49:09 -0500

libassa (3.5.1-2) unstable; urgency=high

  * Urgency high to beat the freeze.
  * debian/control: -dev package should depend on libtirpc-dev.
  * debian/control: Make shlib and dbg package Multi-Arch aware.

 -- Eric Dorland <eric@debian.org>  Tue, 19 Jun 2012 03:00:15 -0400

libassa (3.5.1-1) unstable; urgency=medium

  * New upstream release.
  * Urgency medium to try and beat the freeze.
  * debian/source/format: Use 3.0 quilt source format.
  * debian/compat, debian/control, debian/rules: Switch dh.
  * debian/patches/0001-patch-relibtoolize.patch: Remove unneeded patch.
  * debian/control: Add build depends on libtirpc-dev.
  * debian/rules: Don't run make check.
  * debian/patches/01-include-fixes.diff: Move include file fixes to patch.
  * debian/control: Standards-Version to 3.9.3.
  * debian/control: Move libassa3.5-5-dbg to section: debug.
  * debian/control: Add ${misc:Depends} to all packages.
  * debian/control: Add build depends on pkg-config.
  * debian/libassa3.5-5-dev.install, debian/libassa3.5-5.install: Update
    for multi-arch lib paths.

 -- Eric Dorland <eric@debian.org>  Tue, 12 Jun 2012 02:11:08 -0400

libassa (3.5.0-1.3) unstable; urgency=low

  * Non-maintainer upload.
  * Fix build failure with GCC 4.7. Closes: #667192.

 -- Matthias Klose <doko@debian.org>  Fri, 04 May 2012 08:01:33 +0200

libassa (3.5.0-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * relibtoolize (Closes: #649138)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 18 Feb 2012 16:06:29 +0100

libassa (3.5.0-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS with GCC 4.4, thanks to Martin Michlmayr (Closes: #504943)

 -- David Paleino <dapal@debian.org>  Mon, 21 Dec 2009 15:43:01 +0100

libassa (3.4.2-3) unstable; urgency=low

  * debian/control:
    - Use binary:Version instead of Source-Version.
    - Add ${shlibs:Depends} to libassa3.4-0-dev Depends.
    - Update Standards-Version to 3.7.3.

 -- Eric Dorland <eric@debian.org>  Thu, 17 Jan 2008 21:55:04 -0500

libassa (3.4.2-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Standards-Version to 3.7.2.1.
  * debian/libassa3.4-0.shlibs: Bump dependency version. 

 -- Eric Dorland <eric@debian.org>  Thu, 31 Aug 2006 01:44:51 -0400

libassa (3.4.1-1) unstable; urgency=low

  * New upstream release.
  * debian/control: 
    - Add -dbg package.
    - Upgrade Standards-Version to 3.6.2.2.
    - Remove build depends on specific gcc.
    - Build depend on cdbs >= 0.4.37 to pick up on automatic -dbg 
      package generation.
    - debhelper build depend to >= 5.0
  * debian/compat: Go to level 5.
  * debian/watch: Tighten regexp.
  * debian/libassa3.4-0-dev.install, debian/libassa3.4-0-dev.docs: Fix
    path to docs and use .docs file instead.

 -- Eric Dorland <eric@debian.org>  Mon, 27 Mar 2006 01:30:06 -0500

libassa (3.4.0-5) unstable; urgency=low

  * debian/watch: Add watch file.
  * assa/Streambuf.h: Patch from Martin Michlmayr to fix FTBFS using gcc
    4.1. (Closes: #356244)

 -- Eric Dorland <eric@debian.org>  Sat, 11 Mar 2006 18:24:40 -0500

libassa (3.4.0-4) unstable; urgency=low

  * assa/INETAddress.cpp, assa/GenServer.cpp, assa/CommonUtils.cpp,
    assa/Pipe.cpp, assa/IPv4Socket.cpp, assa/Logger_Impl.cpp,
    assa/IniFile.h: Simple fixes for some compiler warnings. 
  * utils/Makefile.am: Remove building of Mixer and MixerTest, to work
    around a bug in assa-genesis while building. Rerun aclocal and
    automake. (Closes: #338443)

 -- Eric Dorland <eric@debian.org>  Sat, 21 Jan 2006 23:41:30 -0500

libassa (3.4.0-3) unstable; urgency=low

  * debian/libassa3.4-0-dev.install: Fix install path for include files.

 -- Eric Dorland <eric@debian.org>  Fri, 16 Dec 2005 22:45:56 -0500

libassa (3.4.0-2) unstable; urgency=low

  * Upstream decided to do something weird in 3.4, they changed the
    library to include the version number in the name. Need to change the
    packages accordingly. 
  * debian/libassa0*: Rename to libassa3.4-0*.
  * debian/control: 
    - Rename packages for 3.4 version.
    - Conflict and Replace old packages.
    - Build depend against gcc-4.0 with new allocator, to make sure 
      ABI transition happens. (Closes: #339194)
  * debian/libassa3.4-0-dev.install: Change doc path to reflect new
    package name.
  * debian/libassa3.4-0.shlibs: Add shlibs file, might need better control
    over shlibs.
  * assa/GenServer.cpp, assa/Socket.cpp, assa/Handlers.h: Apply patch from
    Aurelien Jarno to build on FreeBSD kernel. (Closes: #336950)

 -- Eric Dorland <eric@debian.org>  Thu,  8 Dec 2005 00:43:57 -0500

libassa (3.4.0-1) unstable; urgency=low

  * New upstream release.
  * Should resolve some FTBFS issues, I'll close bugs once I see how the
    autobuilders do.

 -- Eric Dorland <eric@debian.org>  Wed,  9 Nov 2005 20:02:38 -0500

libassa (3.3.2-2) unstable; urgency=low

  * debian/control: 
    - Take over as maintainer. 
    - Add the soname to -dev package.
    - Remove -doc and -bin package.
    - Standards-Version to 3.6.2.1.
    - Build depend on debhelper > 4.1 and cdbs.
  * debian/rules: 
    - Convert to use cdbs.
    - Install docs from here.
  * debian/libassa0-dev.manpages: Install assa-genesis manpage.
  * debian/libassa0.install: Prefix paths with debian/tmp.
  * debian/libassa-dev.install: Rename to libassa0-dev.install.
  * debian/libassa0-dev.install: 
    - Include documentation and assa-genesis.

