=== debian/control ===
Source: libassa
Priority: optional
Section: libs
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Eric Dorland <eric@debian.org>
Build-Depends: debhelper (>= 9), dh-autoreconf, doxygen, libtirpc-dev,
 pkg-config
Standards-Version: 3.9.4
Homepage: http://libassa.sourceforge.net/
Vcs-Git: git://git.debian.org/git/users/eric/libassa.git
Vcs-Browser: http://git.debian.org/?p=users/eric/libassa.git

Package: libassa3.5-5-dev
Section: libdevel
Architecture: any
Depends: libtirpc-dev, ${shlibs:Depends}, libassa3.5-5 (= ${binary:Version}),
  ${misc:Depends}
Conflicts: libassa0-dev, libassa3.4-0-dev
Replaces: libassa0-dev, libassa3.4-0-dev
Description: object-oriented C++ networking library
 libASSA is an object-oriented C++ networking library based on Adaptive
 Communication Patterns. It features a simplistic implementation of the set
 of communication patterns such as Service Configurator, Reactor, Acceptor,
 Connector, and others described in various papers published by
 Dr. D. C. Schmidt.
 .
 libASSA happily co-exists with other frameworks such as GUI toolkits and
 various CORBA implementations
 .
 This package contains the header files and static libraries which are
 needed for developing applications and a program that generates
 skeleton files for RAD development with ASSA library.

Package: libassa3.5-5
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libassa0
Replaces: libassa0
Description: object-oriented C++ networking library
 libASSA is an object-oriented C++ networking library based on Adaptive
 Communication Patterns. It features a simplistic implementation of the set
 of communication patterns such as Service Configurator, Reactor, Acceptor,
 Connector, and others described in various papers published by
 Dr. D. C. Schmidt.
 .
 libASSA happily co-exists with other frameworks such as GUI toolkits and
 various CORBA implementations
 .
 This package contains the shared libraries.

Package: libassa3.5-5-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Depends: libassa3.5-5 (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for libassa3.5-5
 libASSA is an object-oriented C++ networking library based on Adaptive
 Communication Patterns. It features a simplistic implementation of the set
 of communication patterns such as Service Configurator, Reactor, Acceptor,
 Connector, and others described in various papers published by
 Dr. D. C. Schmidt.
 .
 libASSA happily co-exists with other frameworks such as GUI toolkits and
 various CORBA implementations
 .
 This package contains the debugging symbols for libassa3.5-5.
