=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with autoreconf

override_dh_auto_test:
# Don't run the test suite, needs build fixes.

override_dh_strip:
	dh_strip --dbg-package=libassa3.5-5-dbg
