=== debian/watch ===
version=3

http://sf.net/libassa/libassa-([0-9.]+)\.tar\.gz
